<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title><%= full_title(yield(:title)) %></title>
  <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
  <link href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css" rel="stylesheet" type="text/css" />
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.2/html5shiv.js"></script>
  <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
  <![endif]-->
  <%= csrf_meta_tags %>
</head>

<body class="skin-purple sidebar-mini fixed <%= params[:controller].parameterize %> <%= action_name %>">
  <div class="wrapper">

    <%= render partial: 'layouts/admin_lte_2_header' %>

    <%= render partial: 'layouts/admin_lte_2_sidebar' %>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <!-- <section class="content-header">
        <h1>
          Page Header
          <small>Optional description</small>
        </h1>
        <ol class="breadcrumb">
          <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
          <li class="active">Here</li>
        </ol>
      </section> -->

      <!-- Main content -->
      <section class="content">
        <% if notice %>
          <div class="alert alert-success alert-dismissable">
            <i class="fa fa-check"></i>
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <b><%= notice %></b>
          </div>
        <% end %>

        <% if alert %>
          <div class="alert alert-danger alert-dismissable">
            <i class="fa fa-ban"></i>
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <b><%= alert %></b>
          </div>
        <% end %>
        <%= yield %>
      </section><!-- /.content -->
    </div><!-- /.content-wrapper -->

    <!-- Main Footer -->
    <footer class="main-footer">
      <!-- To the right -->
      <div class="pull-right hidden-xs">
        Mailingi GWO
      </div>
      <!-- Default to the left -->
      <strong>Copyright &copy; 2016 <a href="http://getappa.pl">GetAppa</a>.</strong> Wszelkie prawa zastrzeżone.
    </footer>

    <aside class="control-sidebar control-sidebar-dark">
        <!-- Create the tabs -->
        <ul class="nav nav-tabs nav-justified control-sidebar-tabs">
          <li class="active"><a href="#control-sidebar-home-tab" data-toggle="tab" aria-expanded="true"><i class="fa fa-home"></i></a></li>
          <li class=""><a href="#control-sidebar-settings-tab" data-toggle="tab" aria-expanded="false"><i class="fa fa-gears"></i></a></li>
        </ul>
        <!-- Tab panes -->
        <div class="tab-content">
          <!-- Home tab content -->
          <div class="tab-pane active" id="control-sidebar-home-tab">
            <h3 class="control-sidebar-heading">Ustawienia</h3>
            <ul class="control-sidebar-menu">
              <li>
                <%= link_to edit_user_path(current_user) do %>
                  <i class="menu-icon fa fa-user bg-blue"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading"><%= current_user.name %></h4>
                    <p>Profil</p>
                  </div>
                <% end %>
              </li>

              <li>
                <%= link_to signout_path, method: "DELETE" do %>
                  <i class="menu-icon fa fa-sign-out bg-red"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading"><%= current_user.name %></h4>
                    <p>Wyloguj</p>
                  </div>
                <% end %>
              </li>
            </ul><!-- /.control-sidebar-menu -->


          </div><!-- /.tab-pane -->
          <!-- Stats tab content -->
          <div class="tab-pane" id="control-sidebar-stats-tab">Ustawienia</div><!-- /.tab-pane -->
          <!-- Settings tab content -->
          <div class="tab-pane" id="control-sidebar-settings-tab">
            <ul class="control-sidebar-menu">
              <li>
                <%= link_to mailing_statuses_path do %>
                  <i class="menu-icon fa fa-envelope-o bg-yellow"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Mailingi</h4>
                    <p>Statusy mailingów</p>
                  </div>
                <% end %>
              </li>

              <li>
                <%= link_to subject_groups_path do %>
                  <i class="menu-icon fa fa-object-group bg-red"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Grupy</h4>
                    <p>Lista przedmiotów</p>
                  </div>
                <% end %>
              </li>

              <li>
                <%= link_to level_groups_path do %>
                  <i class="menu-icon fa fa-object-group bg-red"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Grupy</h4>
                    <p>Lista poziomów</p>
                  </div>
                <% end %>
              </li>

              <li>
                <%= link_to other_groups_path do %>
                  <i class="menu-icon fa fa-object-group bg-red"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Grupy</h4>
                    <p>Trzecia lista definicji grup</p>
                  </div>
                <% end %>
              </li>

              <li>
                <%= link_to users_path do %>
                  <i class="menu-icon fa fa-users bg-green"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Użytkownicy</h4>
                    <p>Lista wszystkich użytkowników</p>
                  </div>
                <% end %>
              </li>

              <li>
                <%= link_to user_groups_path do %>
                  <i class="menu-icon fa fa-users bg-green"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Użytkownicy</h4>
                    <p>Lista grup użytkowników</p>
                  </div>
                <% end %>
              </li>
            </ul><!-- /.control-sidebar-menu -->

          </div><!-- /.tab-pane -->
        </div>
      </aside>

      <div class="control-sidebar-bg" style="position: fixed; height: auto;"></div>

  </div><!-- ./wrapper -->

  <div id="modal-holder"></div>
</body>
</html>
